net.fortuna.ical4j.model

## Interface PropertyFactory

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  PropertyFactoryImpl, PropertyFactoryRegistry

    public interface PropertyFactory
    extends Serializable

A factory for creating iCalendar properties.

Author:
  Ben Fortuna Note that implementations must be `Serializable` to support referencing from `Property` instances. $Id$ Created on 16/06/2005

### Method Summary

Methods
`Property` `createProperty(String name)`
`Property` `createProperty(String name, ParameterList parameters, String value)`

### Method Detail

#### createProperty

    Property createProperty(String name)

Parameters:
  `name` - a property name
Returns:
  a new instance of the specified property

#### createProperty

    Property createProperty(String name,
                          ParameterList parameters,
                          String value)
                            throws IOException,
                                   URISyntaxException,
                                   ParseException

Parameters:
  `name` - a property name
  `parameters` - a list of property parameters
  `value` - a property value
Returns:
  a new instance of the specified property
Throws:
  `IOException` - where an unexpected error occurs reading data
  `URISyntaxException` - where data contains an invalid URI
  `ParseException` - where data is unable to be parsed correctly